GET
/identity/v1/sessions/{uuid}/reportObtaining a Session Report
The identity/v1/sessions/{session_id}/report endpoint lets you obtain the data collected from company in an identity validation session.
Available parameters
Header Parameters
AuthorizationStringrequired
Path Parameters
uuidStringrequired
Response details
401
Unauthorized
Ejemplo de código
curl -X GET "https://api.pomelo.la/identity/v1/sessions/example_value/report" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY"Ejemplo de respuesta (200)OK
{
"data": {
"id": "id de la session",
"company_data": {
"is_mei": true,
"registration_date": "2021-07-27T14:04:31-03:00",
"id_fiscal": "123.456.789-10",
"trade_name": "NomeFantasiaFake",
"legal_name": "NomeEmpresarialFake",
"juridic_nature": {
"code": "123456",
"description": "123456"
},
"email": "[email protected]",
"address": {
"street_name": "string",
"building_number": "string",
"zip_code": "1661",
"neighborhood": "string",
"complements": "string",
"city": "string",
"state": "string",
"country": "string"
},
"economic_activity": [
{
"code": "123456",
"description": "123456",
"type": "primary"
}
]
},
"documentation_request": [
{
"operator_id": "xxx",
"reason": "xxx",
"request_date": "2021-07-27T14:04:31-03:00"
}
],
"documentation_proof": [
{
"url": "https://pomelo.la/.../name.jpeg",
"created_at": "2023-01-18T16:21:53.343Z",
"size": 0.00085,
"file_name": "Untitled_document.pdf",
"valid": false
},
{
"url": "https://pomelo.la/.../name.jpeg",
"created_at": "2023-01-18T19:02:31.338Z",
"size": 0.00085,
"file_name": "Untitled_document.pdf",
"valid": false
},
{
"url": "https://pomelo.la/.../name.jpeg",
"created_at": "2023-01-18T19:10:01.864Z",
"size": 0.00085,
"file_name": "Untitled_document.pdf",
"valid": true
}
],
"partners": [
{
"id": "iss-2l1sOZFkpxHC381N1ZdMIMEQDXl",
"document_data": {
"date_of_issue": "1981-12-12",
"date_of_expiry": "1981-12-12",
"procedure_number": "string"
},
"person_data": {
"id_fiscal": "123.456.789-10",
"nationality": "BRA",
"date_of_birth": "1981-12-12",
"full_name": "Diego Pomelo",
"mother_name": "Maria Pomelo",
"phone_number": "+55 11 97487 2510",
"political_person": "no",
"income": 48000,
"address": {
"street_name": "string",
"building_number": "string",
"floor": "string",
"apartment": "string",
"zip_code": "1661",
"neighborhood": "string",
"complements": "string",
"city": "string",
"community": "string",
"state": "string",
"country": "string"
}
},
"identity_proof": {
"document": [
{
"url": "identity.pomelo.la/source/example.jpg",
"created_at": "2021-07-27T14:04:31-03:00",
"type": "ID",
"side": "FRONT",
"valid": "true"
}
],
"liveness": [
{
"url": "identity.pomelo.la/source/example.jpg",
"created_at": "2021-07-27T14:04:31-03:00",
"valid": "true"
}
]
}
}
]
}
}